//--------------------------------------------------------------------------//
// This file is in the public domain.                                       //
//--------------------------------------------------------------------------//
#ifndef MEM_H
#define MEM_H

#include <stddef.h>

#define malloc(x)     allocmem(x)
#define free(x)       freemem(x)
#define realloc(x,y)  reallocmem(x,y)
#define strdup(s)     managed_strdup(s)

void initmem(void);
void* allocmem(size_t);
void* reallocmem(void *block, size_t size);
void freemem(void*);
void freeall(void);
char *strdup(const char *s1);

#endif
